Samsung Galaxy A7 lite

Samsung Galaxy A7 lite

Good Morning, 

 

Our company is in the process of upgrading our employee's devices. The current tablets we use are the Samsung SMT387 & M-T378. We enroll them with Android Plus and push out a profile with Kiosk screen and several packaged APK's for the approved apps. 

 

We recently ordered the Samsung A7 lite devices SM-T227U. These come with Android 11 out of the box. I was able to enroll the device with Android Plus. When I went to push our test profile (Exact clone of Production Profile) the entire profile failed. All my packages failed to install with the message being "Failed to Install (Incompatible Platform)". 

 

Is there something different I will need to do with the enrollment to get these new Android 11 devices to work with our current profile? 

MobiControl version: 14.4.6.1047

Agent Version: 14.1.4.1010

 

screenshot of profile failure on a7 lite android 11

 

4 Answers

Order By:   Standard | Newest | Votes
Rafael Schäfer | posted this 17 September 2021

Check if your enrolled device has acces to the file system (directly on the device and via remote control).

If not, you have an plugin/agent issue.

  • 0
  • 0
Ozan Acikalin | posted this 17 September 2021

Besides SOTI are you using any other services like Knox to give them a basic config?

Have you checked all the permissions of the agent?

Have you tried to re-enroll the device into mobicontrol?

 

I am not familiar with the A7 lite.. but it might be the case that this devices does not support
android plus (BYOD) management since they come with android 11 out of the box. Maybe you are
only able to manage theses devices as android enterprise or with a work profile.

I read back then that the device admin api will no longer be supported after android 10.

Here take a look:
https://developers.google.com/android/work/device-admin-deprecation

 

  • 0
  • 0
Daniel P | posted this 14 September 2021

I apologize for the late reply. I just realized we are only able to Remote View these new devices and not Remote Control. We greatly need to be able to remote control the devices for support. 

 

 

Android API level: 30

Supported APIs: SamsungMdmV57, Samsung RCv1, 839

 

on the A7 lite about device screen I see Knox version: Knox 3.7, Knox Level API 33, TIMA 4.1.0 

 

 

  • 0
  • 0
Raymond Chan | posted this 14 September 2021

What are the active MDM API's reported for your enrolled devices?

 

Please also check from the "About Device" tab of your device's Settings whether there is any Samsung KNOX library included in the device firmware?

 

  • 0
  • 0

Give us your feedback
Give us your feedback
Feedback